import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 获取广告列表
export function getAdList(params) {
  return axios.get(`/SZWL-SERVER/tAd/pageAd?${stringToUrl(params)}`)
}
// 添加广告
export function addAdInfo(params) {
  return axios.post(`/SZWL-SERVER/tAd/add`, params)
}
// 修改广告
export function updateAdInfo(params) {
  return axios.post(`/SZWL-SERVER/tAd/update`, params)
}
// 广告规则
export function Api_postPageTimeRule(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/pageTimeRule`, { params })
}
// 获取广告规则中的广告列表
export function Api_getAdRuleList(params) {
  return axios.get(`/SZWL-SERVER/tAd/getAdList`, { params })
}
// 添加广告规则
export function Api_postAddAdRule(params) {
  return axios.post(`/SZWL-SERVER/tTimeRule/add`, params)
}
// 修改广告规则
export function Api_postUpdateAdRule(params) {
  return axios.post(`/SZWL-SERVER/tTimeRule/update`, params)
}

// 推送广告规则
export function Api_getPushAdRule(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/pullTimeRule`, {params})
}
// 删除广告规则
export function Api_getDelAdRule(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/deletes`, {params})
}
// 获取广告规则详情
export function Api_getAdRuleDetail(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/getOne`, {params})
}

// 删除广告
export function Api_getDelAd(params) {
  return axios.get(`/SZWL-SERVER/tAd/deletes`, {params})
}
// 获取广告详情
export function Api_getAdDetail(params) {
  return axios.get(`/SZWL-SERVER/tAd/getOne`, {params})
}
// 获取广告规则列表
export function Api_getTTimeRules(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/getList`, {params})
}
// 机器绑定规则（提交并推送按钮）
export function Api_getUpdateEquimentpTimeRule(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/updateEquimentpTimeRule`, {params})
}
// 根据规则的id获取广告集合
export function Api_getAdListByTimeRule(params) {
  return axios.get(`/SZWL-SERVER/tTimeRule/getAdListByTimeRule`, {params})
}
